//=================================================================================================
/*!
//  \file blaze/math.h
//  \brief Header file for the inclusion of the math module of the Blaze library
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================

#ifndef _BLAZE_MATH_MODULE_H_
#define _BLAZE_MATH_MODULE_H_


//*************************************************************************************************
// Includes
//*************************************************************************************************

#include <blaze/math/Accuracy.h>
#include <blaze/math/CompressedMatrix.h>
#include <blaze/math/CompressedVector.h>
#include <blaze/math/Constants.h>
#include <blaze/math/Constraints.h>
#include <blaze/math/DynamicMatrix.h>
#include <blaze/math/DynamicVector.h>
#include <blaze/math/Epsilon.h>
#include <blaze/math/Functions.h>
#include <blaze/math/Infinity.h>
#include <blaze/math/Quaternion.h>
#include <blaze/math/RotationMatrix.h>
#include <blaze/math/Shims.h>
#include <blaze/math/Solvers.h>
#include <blaze/math/StaticMatrix.h>
#include <blaze/math/StaticVector.h>
#include <blaze/math/StorageOrder.h>
#include <blaze/math/Traits.h>
#include <blaze/math/TransposeFlag.h>
#include <blaze/math/TypeTraits.h>

#endif
