//=================================================================================================
/*!
//  \file blaze/config/Precision.h
//  \brief Configuration of the floating point precision of the Blaze library
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================


namespace blaze {

//*************************************************************************************************
/*!\brief Floating point data type of the Blaze library.
// \ingroup config
//
// This type definition offers the possibility to switch the floating point precision of
// the Blaze library between float, double and long double.
//
// Valid types for the \a real floating point type: <a>float, double, long double</a>
*/
typedef double  real;
//*************************************************************************************************

} // namespace blaze
