//=================================================================================================
/*!
//  \file blaze/math/Types.h
//  \brief Header file for all types of the math module
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================

#ifndef _BLAZE_MATH_TYPES_H_
#define _BLAZE_MATH_TYPES_H_


namespace blaze {

//=================================================================================================
//
//  ::blaze NAMESPACE FORWARD DECLARATIONS
//
//=================================================================================================

template< typename, bool > class CompressedMatrix;
template< typename, bool > class CompressedVector;
template< typename, bool > class DynamicVector;
template< typename, bool > class DynamicMatrix;
template< typename > class Quaternion;
template< typename > class RotationMatrix;
template< typename, size_t, size_t, bool > class StaticMatrix;
template< typename, size_t, bool > class StaticVector;

} // namespace blaze

#endif
