//=================================================================================================
/*!
//  \file blaze/util/Constraints.h
//  \brief Header file for compile time constraints
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================

#ifndef _BLAZE_UTIL_CONSTRAINTS_H_
#define _BLAZE_UTIL_CONSTRAINTS_H_


//*************************************************************************************************
// Includes
//*************************************************************************************************

#include <blaze/util/constraints/Arithmetic.h>
#include <blaze/util/constraints/BaseOf.h>
#include <blaze/util/constraints/Boolean.h>
#include <blaze/util/constraints/Builtin.h>
#include <blaze/util/constraints/Class.h>
#include <blaze/util/constraints/Comparable.h>
#include <blaze/util/constraints/Complex.h>
#include <blaze/util/constraints/Const.h>
#include <blaze/util/constraints/Convertible.h>
#include <blaze/util/constraints/DerivedFrom.h>
#include <blaze/util/constraints/Double.h>
#include <blaze/util/constraints/Float.h>
#include <blaze/util/constraints/FloatingPoint.h>
#include <blaze/util/constraints/Integral.h>
#include <blaze/util/constraints/LongDouble.h>
#include <blaze/util/constraints/Numeric.h>
#include <blaze/util/constraints/Object.h>
#include <blaze/util/constraints/Pod.h>
#include <blaze/util/constraints/Pointer.h>
#include <blaze/util/constraints/Reference.h>
#include <blaze/util/constraints/SameSize.h>
#include <blaze/util/constraints/SameType.h>
#include <blaze/util/constraints/Signed.h>
#include <blaze/util/constraints/Size.h>
#include <blaze/util/constraints/Subscriptable.h>
#include <blaze/util/constraints/TypeRestriction.h>
#include <blaze/util/constraints/Unsigned.h>
#include <blaze/util/constraints/Vectorizable.h>
#include <blaze/util/constraints/Void.h>
#include <blaze/util/constraints/Volatile.h>

#endif
