//=================================================================================================
/*!
//  \file blaze/util/InvalidType.h
//  \brief Utility type for generic codes
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================

#ifndef _BLAZE_UTIL_INVALIDTYPE_H_
#define _BLAZE_UTIL_INVALIDTYPE_H_


namespace blaze {

//=================================================================================================
//
//  CLASS DEFINITION
//
//=================================================================================================

//*************************************************************************************************
/*!\brief Utility type for generic codes.
// \ingroup util
//
// The INVALID_TYPE class represents an invalid data type. It is left undefined to terminate
// the compilation process in case of the attempt to instantiate it.
*/
class INVALID_TYPE;
//*************************************************************************************************

} // namespace blaze

#endif
