//=================================================================================================
/*!
//  \file blaze/util/TypeTraits.h
//  \brief Header file for all type traits
//
//  Copyright (C) 2011 Klaus Iglberger - All Rights Reserved
//
//  This file is part of the Blaze library. This library is free software; you can redistribute
//  it and/or modify it under the terms of the GNU General Public License as published by the
//  Free Software Foundation; either version 3, or (at your option) any later version.
//
//  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with a special
//  exception for linking and compiling against the Blaze library, the so-called "runtime
//  exception"; see the file COPYING. If not, see http://www.gnu.org/licenses/.
*/
//=================================================================================================

#ifndef _BLAZE_UTIL_TYPETRAITS_H_
#define _BLAZE_UTIL_TYPETRAITS_H_


//*************************************************************************************************
// Includes
//*************************************************************************************************

#include <blaze/util/typetraits/HasSize.h>
#include <blaze/util/typetraits/HaveSameSize.h>
#include <blaze/util/typetraits/IsArithmetic.h>
#include <blaze/util/typetraits/IsBaseOf.h>
#include <blaze/util/typetraits/IsBoolean.h>
#include <blaze/util/typetraits/IsBuiltin.h>
#include <blaze/util/typetraits/IsCharacter.h>
#include <blaze/util/typetraits/IsClass.h>
#include <blaze/util/typetraits/IsComplex.h>
#include <blaze/util/typetraits/IsConst.h>
#include <blaze/util/typetraits/IsConvertible.h>
#include <blaze/util/typetraits/IsDouble.h>
#include <blaze/util/typetraits/IsFloat.h>
#include <blaze/util/typetraits/IsFloatingPoint.h>
#include <blaze/util/typetraits/IsInteger.h>
#include <blaze/util/typetraits/IsIntegral.h>
#include <blaze/util/typetraits/IsLong.h>
#include <blaze/util/typetraits/IsLongDouble.h>
#include <blaze/util/typetraits/IsNumeric.h>
#include <blaze/util/typetraits/IsObject.h>
#include <blaze/util/typetraits/IsPod.h>
#include <blaze/util/typetraits/IsPointer.h>
#include <blaze/util/typetraits/IsReference.h>
#include <blaze/util/typetraits/IsSame.h>
#include <blaze/util/typetraits/IsShort.h>
#include <blaze/util/typetraits/IsSigned.h>
#include <blaze/util/typetraits/IsUnsigned.h>
#include <blaze/util/typetraits/IsVectorizable.h>
#include <blaze/util/typetraits/IsVoid.h>
#include <blaze/util/typetraits/IsVolatile.h>
#include <blaze/util/typetraits/RemoveConst.h>
#include <blaze/util/typetraits/RemoveCV.h>
#include <blaze/util/typetraits/RemovePointer.h>
#include <blaze/util/typetraits/RemoveReference.h>
#include <blaze/util/typetraits/RemoveVolatile.h>

#endif
